summaryrefslogtreecommitdiff
path: root/sh/runtests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/runtests.sh')
-rwxr-xr-xsh/runtests.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/sh/runtests.sh b/sh/runtests.sh
new file mode 100755
index 0000000..d0d6a17
--- /dev/null
+++ b/sh/runtests.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+top_srcdir=${top_srcdir:-..}
+. ${top_srcdir}/test/setup_env.sh
+
+ret=0
+
+tret=0
+ebegin "Testing yesno()"
+for f in yes YES Yes true TRUE True 1 ; do
+ if ! yesno ${f} ; then
+ ((tret+=1))
+ echo "!${f}!"
+ fi
+done
+for f in no NO No false FALSE False 0 ; do
+ if yesno ${f} ; then
+ ((tret+=1))
+ echo "!${f}!"
+ fi
+done
+eend ${tret}
+((ret+=tret))
+
+exit ${ret}